---
title: Wire transfer
slug: apis/payments/wires/send-a-wire-transfer
description: Initiate a single wire transaction via POST /wires/v1/payments with sender, beneficiary, and funding details for domestic or international transfers.
icon: {"apiMethod":"POST"}
docTags: 
createdAt: 2025-05-06T08:31:56.972Z
---

## Relevant webhooks

For this endpoint be sure you have [registered](docId\:BN5XtgkJogBe-CtwomCbS) for these webhooks:

- [Wire.Payment.Sent](docId\:OA3cg-apKn_510VPq2yYe)&#x20;
- [Wire.Payment.Received](docId\:OA3cg-apKn_510VPq2yYe)&#x20;
- [Wire.Payment.Rejected](docId\:OA3cg-apKn_510VPq2yYe)&#x20;
- [Wire.Payment.Canceled](docId\:OA3cg-apKn_510VPq2yYe)&#x20;

## API reference

Sends a single wire transfer payment.

:::hint{type="warning"}
In November 2027, the Fedwire Funds Service will remove the fully unstructured postal address option in favor of a single hybrid postal address format. **All parties** (intermediaryFi, beneficiaryFi, beneficiary, originator)  across **all message types** must transition from free-text address lines (address1, address2, address3) to a new **postalAddress object** with mandatory adrLine1, country and city fields.

In advance of the Fedwire enforcement date, all partners must use the new **postalAddress&#x20;**&#x73;tructure in production no later tha&#x6E;**&#x20;October 2027.&#x20;**&#x4D;essages sent in the old format after this date will be rejected.
:::

:::ApiMethodV2
```json
{
  "name": "Endpoint: /wires/v1/payments",
  "method": "POST",
  "url": "https://sandbox.crbcos.com/wires/v1/payments",
  "description": "",
  "tab": "examples",
  "examples": {
    "languages": [
      {
        "id": "MTsRdSNJ69G4MXIevOmpV",
        "language": "curl",
        "code": "curl -L 'https://sandbox.crbcos.com/wires/v1/payments' ^\n-d '{\n    \"accountNumber\": \"2955057589\",\n    \"businessFunctionCode\": \"CTR\",\n    \"receiverRoutingNumber\": \"026009593\",\n    \"beneficiary\": {\n        \"idCode\": \"D\",\n        \"identifier\": \"316840684\",\n        \"name\": \"Stewie Griffin\",\n        \"postalAddress\": {\n            \"adrLine1\": \"31 Spooner St\",\n            \"city\": \"Quahog\",\n            \"state\": \"RI\",\n            \"postalCode\": \"33030\",\n            \"country\": \"US\"\n        }\n    },\n    \"beneficiaryReference\": \"Gift\",\n    \"originatorToBeneficiary1\": \"Happy Birthday\",\n    \"amount\": 15000,\n    \"purpose\": \"Testing\",\n    \"clientIdentifier\": \"05d73490-65ac-4725-98b6-cbf8252e52fe\"\n}\n\n'",
        "customLabel": ""
      },
      {
        "id": "m0oVVmc-UFe3DfJ423-BO",
        "language": "nodejs",
        "code": "var https = require('follow-redirects').https;\nvar fs = require('fs');\n\nvar options = {\n  'method': 'POST',\n  'hostname': 'sandbox.crbcos.com',\n  'path': '/wires/v1/payments',\n  'headers': {\n  },\n  'maxRedirects': 20\n};\n\nvar req = https.request(options, function (res) {\n  var chunks = [];\n\n  res.on(\"data\", function (chunk) {\n    chunks.push(chunk);\n  });\n\n  res.on(\"end\", function (chunk) {\n    var body = Buffer.concat(chunks);\n    console.log(body.toString());\n  });\n\n  res.on(\"error\", function (error) {\n    console.error(error);\n  });\n});\n\nvar postData =  \"{\\r\\n    \\\"accountNumber\\\": \\\"2955057589\\\",\\r\\n    \\\"businessFunctionCode\\\": \\\"CTR\\\",\\r\\n    \\\"receiverRoutingNumber\\\": \\\"026009593\\\",\\r\\n    \\\"beneficiary\\\": {\\r\\n        \\\"idCode\\\": \\\"D\\\",\\r\\n        \\\"identifier\\\": \\\"316840684\\\",\\r\\n        \\\"name\\\": \\\"Stewie Griffin\\\",\\r\\n        \\\"postalAddress\\\": {\\r\\n            \\\"adrLine1\\\": \\\"31 Spooner St\\\",\\r\\n            \\\"city\\\": \\\"Quahog\\\",\\r\\n            \\\"state\\\": \\\"RI\\\",\\r\\n            \\\"postalCode\\\": \\\"33030\\\",\\r\\n            \\\"country\\\": \\\"US\\\"\\r\\n        }\\r\\n    },\\r\\n    \\\"beneficiaryReference\\\": \\\"Gift\\\",\\r\\n    \\\"originatorToBeneficiary1\\\": \\\"Happy Birthday\\\",\\r\\n    \\\"amount\\\": 15000,\\r\\n    \\\"purpose\\\": \\\"Testing\\\",\\r\\n    \\\"clientIdentifier\\\": \\\"05d73490-65ac-4725-98b6-cbf8252e52fe\\\"\\r\\n}\\r\\n\\r\\n\";\n\nreq.write(postData);\n\nreq.end();",
        "customLabel": ""
      },
      {
        "id": "O-7EFXDUL0ToLKOs1v1_g",
        "language": "python",
        "code": "import requests\n\nurl = \"https://sandbox.crbcos.com/wires/v1/payments\"\n\npayload = \"{\\r\\n    \\\"accountNumber\\\": \\\"2955057589\\\",\\r\\n    \\\"businessFunctionCode\\\": \\\"CTR\\\",\\r\\n    \\\"receiverRoutingNumber\\\": \\\"026009593\\\",\\r\\n    \\\"beneficiary\\\": {\\r\\n        \\\"idCode\\\": \\\"D\\\",\\r\\n        \\\"identifier\\\": \\\"316840684\\\",\\r\\n        \\\"name\\\": \\\"Stewie Griffin\\\",\\r\\n        \\\"postalAddress\\\": {\\r\\n            \\\"adrLine1\\\": \\\"31 Spooner St\\\",\\r\\n            \\\"city\\\": \\\"Quahog\\\",\\r\\n            \\\"state\\\": \\\"RI\\\",\\r\\n            \\\"postalCode\\\": \\\"33030\\\",\\r\\n            \\\"country\\\": \\\"US\\\"\\r\\n        }\\r\\n    },\\r\\n    \\\"beneficiaryReference\\\": \\\"Gift\\\",\\r\\n    \\\"originatorToBeneficiary1\\\": \\\"Happy Birthday\\\",\\r\\n    \\\"amount\\\": 15000,\\r\\n    \\\"purpose\\\": \\\"Testing\\\",\\r\\n    \\\"clientIdentifier\\\": \\\"05d73490-65ac-4725-98b6-cbf8252e52fe\\\"\\r\\n}\\r\\n\\r\\n\"\nheaders = {\n\n}\n\nresponse = requests.request(\"POST\", url, headers=headers, data=payload)\n\nprint(response.text)\n",
        "customLabel": ""
      },
      {
        "id": "87mpvCfQVI032eOLF41CC",
        "language": "ruby",
        "code": "require \"uri\"\nrequire \"net/http\"\n\nurl = URI(\"https://sandbox.crbcos.com/wires/v1/payments\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Post.new(url)\nrequest.body = \"{\\r\\n    \\\"accountNumber\\\": \\\"2955057589\\\",\\r\\n    \\\"businessFunctionCode\\\": \\\"CTR\\\",\\r\\n    \\\"receiverRoutingNumber\\\": \\\"026009593\\\",\\r\\n    \\\"beneficiary\\\": {\\r\\n        \\\"idCode\\\": \\\"D\\\",\\r\\n        \\\"identifier\\\": \\\"316840684\\\",\\r\\n        \\\"name\\\": \\\"Stewie Griffin\\\",\\r\\n        \\\"postalAddress\\\": {\\r\\n            \\\"adrLine1\\\": \\\"31 Spooner St\\\",\\r\\n            \\\"city\\\": \\\"Quahog\\\",\\r\\n            \\\"state\\\": \\\"RI\\\",\\r\\n            \\\"postalCode\\\": \\\"33030\\\",\\r\\n            \\\"country\\\": \\\"US\\\"\\r\\n        }\\r\\n    },\\r\\n    \\\"beneficiaryReference\\\": \\\"Gift\\\",\\r\\n    \\\"originatorToBeneficiary1\\\": \\\"Happy Birthday\\\",\\r\\n    \\\"amount\\\": 15000,\\r\\n    \\\"purpose\\\": \\\"Testing\\\",\\r\\n    \\\"clientIdentifier\\\": \\\"05d73490-65ac-4725-98b6-cbf8252e52fe\\\"\\r\\n}\\r\\n\\r\\n\"\n\nresponse = https.request(request)\nputs response.read_body\n",
        "customLabel": ""
      },
      {
        "id": "yp-ndYkY5ByOh3pbco8f3",
        "language": "go",
        "code": "package main\n\nimport (\n  \"fmt\"\n  \"strings\"\n  \"net/http\"\n  \"io\"\n)\n\nfunc main() {\n\n  url := \"https://sandbox.crbcos.com/wires/v1/payments\"\n  method := \"POST\"\n\n  payload := strings.NewReader(`{`+\"\n\"+`\n    \"accountNumber\": \"2955057589\",`+\"\n\"+`\n    \"businessFunctionCode\": \"CTR\",`+\"\n\"+`\n    \"receiverRoutingNumber\": \"026009593\",`+\"\n\"+`\n    \"beneficiary\": {`+\"\n\"+`\n        \"idCode\": \"D\",`+\"\n\"+`\n        \"identifier\": \"316840684\",`+\"\n\"+`\n        \"name\": \"Stewie Griffin\",`+\"\n\"+`\n        \"postalAddress\": {`+\"\n\"+`\n            \"adrLine1\": \"31 Spooner St\",`+\"\n\"+`\n            \"city\": \"Quahog\",`+\"\n\"+`\n            \"state\": \"RI\",`+\"\n\"+`\n            \"postalCode\": \"33030\",`+\"\n\"+`\n            \"country\": \"US\"`+\"\n\"+`\n        }`+\"\n\"+`\n    },`+\"\n\"+`\n    \"beneficiaryReference\": \"Gift\",`+\"\n\"+`\n    \"originatorToBeneficiary1\": \"Happy Birthday\",`+\"\n\"+`\n    \"amount\": 15000,`+\"\n\"+`\n    \"purpose\": \"Testing\",`+\"\n\"+`\n    \"clientIdentifier\": \"05d73490-65ac-4725-98b6-cbf8252e52fe\"`+\"\n\"+`\n}`+\"\n\"+`\n`+\"\n\"+`\n`)\n\n  client := &http.Client {\n  }\n  req, err := http.NewRequest(method, url, payload)\n\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  res, err := client.Do(req)\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  defer res.Body.Close()\n\n  body, err := io.ReadAll(res.Body)\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  fmt.Println(string(body))\n}",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "MTsRdSNJ69G4MXIevOmpV"
  },
  "results": {
    "languages": [
      {
        "id": "qhmiA1yJ9zvP9MO9zQnhh",
        "language": "200",
        "customLabel": "",
        "code": "{\n    \"id\": \"2c17d36d-cb70-420d-9a16-b30100ddd39c\",\n    \"accountNumber\": \"2955057589\",\n    \"coreTransactionId\": \"5449f04c-9dce-4d54-9873-b30100ddd39c\",\n    \"referenceId\": \"FT86171667Z\",\n    \"direction\": \"Outbound\",\n    \"paymentType\": \"Transfer\",\n    \"source\": \"Api\",\n    \"status\": \"Created\",\n    \"posting\": \"Pending\",\n    \"partnerAuthorization\": \"NotRequired\",\n    \"partnerAuthorization2\": \"NotRequired\",\n    \"enteredById\": \"b799951d47eb410d92b9da901b8ffa69\",\n    \"amount\": 15000,\n    \"currency\": \"usd\",\n    \"purpose\": \"Testing\",\n    \"businessFunctionCode\": \"CTR\",\n    \"typeCode\": \"1000\",\n    \"senderRoutingNumber\": \"021214891\",\n    \"senderName\": \"CROSS RIVER BANK\",\n    \"senderReference\": \"FT86171667Z\",\n    \"receiverRoutingNumber\": \"026009593\",\n    \"receiverName\": \"BK AMER NYC       \",\n    \"originatingFi\": {\n        \"idCode\": \"F\",\n        \"identifier\": \"021214891\",\n        \"name\": \"CROSS RIVER BANK\",\n        \"address1\": \"400 KELBY STREET\",\n        \"address2\": \"FORT LEE, NJ\",\n        \"address3\": \"US\"\n    },\n    \"originator\": {\n        \"identifier\": \"2955057589\",\n        \"name\": \"ORIGINATOR NAME\"\n    },\n    \"beneficiary\": {\n        \"idCode\": \"D\",\n        \"identifier\": \"316840684\",\n        \"name\": \"Stewie Griffin\",\n        \"address1\": \"31 Spooner St\",\n        \"address2\": \"Quahog RI 33030\",\n        \"address3\": \"US\"\n    },\n    \"originatorToBeneficiary1\": \"HAPPY BIRTHDAY\",\n    \"beneficiaryReference\": \"GIFT\",\n    \"wasReversed\": false,\n    \"isInternational\": false,\n    \"clientIdentifier\": \"05d73490-65ac-4725-98b6-cbf8252e52fe\",\n    \"createdAt\": \"2025-06-19T09:27:38.7553761-04:00\",\n    \"effectiveDate\": \"2025-06-19T00:00:00-04:00\",\n    \"originalPaymentId\": \"2c17d36d-cb70-420d-9a16-b30100ddd39c\",\n    \"partnerId\": \"1101a33d-fbd9-4b9e-b169-b29500f12407\",\n    \"productId\": \"29f3022a-ccfc-42eb-aa8f-b29500f13d00\",\n    \"lastModifiedAt\": \"2025-06-19T09:27:38.7553761-04:00\",\n    \"postingCode\": \"OK\",\n    \"investigated\": false,\n    \"isoPaymentType\": \"CustomerCreditTransfer\"\n}"
      },
      {
        "id": "1yO0mYc_oRnxdwLoA-u5h",
        "language": "403",
        "code": "{\n    \"errors\": [\n        {\n            \"code\": 3001,\n            \"message\": \"Origination payment amount exceeds user permissions\"\n        }\n    ]\n}",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "1yO0mYc_oRnxdwLoA-u5h"
  },
  "request": {
    "pathParameters": [],
    "queryParameters": [],
    "headerParameters": [],
    "formDataParameters": [],
    "bodyDataParameters": [
      {
        "name": "accountNumber",
        "kind": "required",
        "type": "string",
        "description": "Originator account number"
      },
      {
        "name": "originator",
        "kind": "optional",
        "type": "object",
        "description": "Originator of the payment.\n\nUnder the Bank Secrecy Act Travel Rule, information identifying the sender has to travel with the payment, and wires that arrive without it may be held for compliance review and returned to you for correction. The rule applies to transfers of $3,000 or more. We recommend supplying these details on every wire, so you do not have to make it conditional on the amount.\n\nBy default, the originator on the outbound wire is either Cross River or the name of the account, depending on the configuration of your product.\n\nIf you are providing the originator you must supply it in full.",
        "": "Originator of the payment.\n\nUnder the Bank Secrecy Act Travel Rule, information identifying the sender has to travel with the payment, and wires that arrive without it may be held for compliance review and returned to you for correction. The rule applies to transfers of $3,000 or more. We recommend supplying these details on every wire, so you do not have to make it conditional on the amount.\n\nBy default, the originator on the outbound wire is either Cross River or the name of the account, depending on the configuration of your product.\n\nIf you are providing the originator you must supply it in full.",
        "children": [
          {
            "name": "idCode",
            "kind": "optional",
            "type": "string",
            "description": "Details of the financial institution sending the wire - Specifies the type of value in the identifier field that follows it. 1 character. See the list of ID codes."
          },
          {
            "name": "identifier",
            "kind": "optional",
            "type": "string",
            "description": "Originator id"
          },
          {
            "name": "name",
            "kind": "optional",
            "type": "string",
            "description": "Originator name. Maximum 140 characters."
          },
          {
            "name": "postalAddress",
            "kind": "optional",
            "type": "object",
            "description": "Postal address details of the party involved - this is the NEW ISO20022 format for address information and should be used instead of the deprecated address lines",
            "children": [
              {
                "name": "adrLine1",
                "kind": "required",
                "type": "string",
                "description": "Max 35 chars"
              },
              {
                "name": "adrLine2",
                "kind": "optional",
                "type": "string",
                "description": "Max 35 chars. If adrLine2 is provided, then adrLine1 must not be blank"
              },
              {
                "name": "country",
                "kind": "required",
                "type": "string",
                "description": "2 character country ISO country code. For example US, GB"
              },
              {
                "name": "state",
                "kind": "optional",
                "type": "string",
                "description": "2-char state. For example NY, FL"
              },
              {
                "name": "postalCode",
                "kind": "optional",
                "type": "string",
                "description": "Max 15 chars"
              },
              {
                "name": "city",
                "kind": "required",
                "type": "string",
                "description": "Max 35 chars"
              }
            ]
          },
          {
            "name": "address1",
            "kind": "optional",
            "type": "string",
            "description": "DEPRECATED - Use the PostalAddress object instead. \nDetails of the party sending the wire - Field of 35 characters usually used for the street address."
          },
          {
            "name": "address2",
            "kind": "optional",
            "type": "string",
            "description": "DEPRECATED - Use the PostalAddress object instead.\nDetails of the party sending the wire - Field of 35 characters usually used for the city, state, and postal code. If address2 is supplied then address1 must also be supplied."
          },
          {
            "name": "address3",
            "kind": "optional",
            "type": "string",
            "description": "DEPRECATED - Use the PostalAddress object instead.\nDetails of the party sending the wire - Field of 35 characters for any information, for example, country code or information related to the wire. If address3 is supplied then address2 must also be supplied."
          }
        ],
        "schema": [
          {
            "name": "idCode",
            "kind": "optional",
            "type": "string",
            "description": "Details of the financial institution sending the wire - Specifies the type of value in the identifier field that follows it. 1 character. See the list of ID codes."
          },
          {
            "name": "identifier",
            "kind": "optional",
            "type": "string",
            "description": "Originator id"
          },
          {
            "name": "name",
            "kind": "optional",
            "type": "string",
            "description": "Originator name. Maximum 140 characters."
          },
          {
            "name": "postalAddress",
            "kind": "optional",
            "type": "object",
            "description": "Postal address details of the party involved - this is the NEW ISO20022 format for address information and should be used instead of the deprecated address lines",
            "children": [
              {
                "name": "adrLine1",
                "kind": "required",
                "type": "string",
                "description": "Max 35 chars"
              },
              {
                "name": "adrLine2",
                "kind": "optional",
                "type": "string",
                "description": "Max 35 chars. If adrLine2 is provided, then adrLine1 must not be blank"
              },
              {
                "name": "country",
                "kind": "required",
                "type": "string",
                "description": "2 character country ISO country code. For example US, GB"
              },
              {
                "name": "state",
                "kind": "optional",
                "type": "string",
                "description": "2-char state. For example NY, FL"
              },
              {
                "name": "postalCode",
                "kind": "optional",
                "type": "string",
                "description": "Max 15 chars"
              },
              {
                "name": "city",
                "kind": "required",
                "type": "string",
                "description": "Max 35 chars"
              }
            ]
          },
          {
            "name": "address1",
            "kind": "optional",
            "type": "string",
            "description": "DEPRECATED - Use the PostalAddress object instead. \nDetails of the party sending the wire - Field of 35 characters usually used for the street address."
          },
          {
            "name": "address2",
            "kind": "optional",
            "type": "string",
            "description": "DEPRECATED - Use the PostalAddress object instead.\nDetails of the party sending the wire - Field of 35 characters usually used for the city, state, and postal code. If address2 is supplied then address1 must also be supplied."
          },
          {
            "name": "address3",
            "kind": "optional",
            "type": "string",
            "description": "DEPRECATED - Use the PostalAddress object instead.\nDetails of the party sending the wire - Field of 35 characters for any information, for example, country code or information related to the wire. If address3 is supplied then address2 must also be supplied."
          }
        ]
      },
      {
        "name": "businessFunctionCode",
        "kind": "required",
        "type": "string",
        "description": "The business purpose of the wire transfer. The most common type is customer wire transfer (CTR) where the beneficiary isn't a bank. See the full list of codes and descriptions.",
        "": "The business purpose of the wire transfer. The most common type is customer wire transfer (CTR) where the beneficiary isn't a bank. See the full list of codes and descriptions."
      },
      {
        "name": "receiverRoutingNumber",
        "kind": "required",
        "type": "string",
        "description": "The 9-digit Fedwire routing number of the financial institution receiving the wire drawdown request. The ABA directory provides financial institution routing numbers.",
        "": "The 9-digit Fedwire routing number of the financial institution receiving the wire drawdown request. The ABA directory provides financial institution routing numbers."
      },
      {
        "name": "beneficiary",
        "kind": "required",
        "type": "object",
        "description": "Entity receiving the funds",
        "children": [
          {
            "name": "idCode",
            "kind": "required",
            "type": "string",
            "description": "Specifies the type of value in the identifier field that follows it. Maximum 1 character. \nFor outbound payments, this field must contain a valid customer code, with the most common being \"D\" for demand deposit accounts.\n\nPlease refer to the \"Request and Response Code\" section for the full list of valid customer codes."
          },
          {
            "name": "identifier",
            "kind": "required",
            "type": "string",
            "description": "A number or string that provides unique identification, such as a driver's license number for an individual, or a Fed routing number for an FI. Maximum 34 characters.\nFor outbound payments, this is the beneficiary's account number.\n"
          },
          {
            "name": "name",
            "kind": "required",
            "type": "string",
            "description": "Beneficiary name. Maximum 140 characters."
          },
          {
            "name": "postalAddress",
            "kind": "optional",
            "type": "object",
            "description": "Postal address details of the party involved - this is the NEW ISO20022 format for address information and should be used instead of the deprecated address lines",
            "children": [
              {
                "name": "adrLine1",
                "kind": "required",
                "type": "string",
                "description": "Max 35 chars"
              },
              {
                "name": "adrLine2",
                "kind": "optional",
                "type": "string",
                "description": "Max 35 chars. If adrLine2 is provided, then adrLine1 must not be blank"
              },
              {
                "name": "country",
                "kind": "required",
                "type": "string",
                "description": "2 character country ISO country code. For example US, GB"
              },
              {
                "name": "state",
                "kind": "optional",
                "type": "string",
                "description": "2-char state. For example NY, FL"
              },
              {
                "name": "postalCode",
                "kind": "optional",
                "type": "string",
                "description": "Max 15 chars"
              },
              {
                "name": "city",
                "kind": "required",
                "type": "string",
                "description": "Max 35 chars"
              }
            ]
          },
          {
            "name": "address1",
            "kind": "optional",
            "type": "string",
            "description": "DEPRECATED - Use the PostalAddress object instead.\nField of 35 characters usually used for the street address.\n"
          },
          {
            "name": "address2",
            "kind": "optional",
            "type": "string",
            "description": "DEPRECATED - Use the PostalAddress object instead.\nField of 35 characters usually used for the city, state, and postal code. If address2 is supplied then address1 must also be supplied."
          },
          {
            "name": "address3",
            "kind": "optional",
            "type": "string",
            "description": "DEPRECATED - Use the PostalAddress object instead.\nField of 35 characters for any information, for example, country code or information related to the wire. If address3 is supplied then address2 must also be supplied."
          }
        ],
        "schema": [
          {
            "name": "idCode",
            "kind": "required",
            "type": "string",
            "description": "Specifies the type of value in the identifier field that follows it. Maximum 1 character. \nFor outbound payments, this field must contain a valid customer code, with the most common being \"D\" for demand deposit accounts.\n\nPlease refer to the \"Request and Response Code\" section for the full list of valid customer codes."
          },
          {
            "name": "identifier",
            "kind": "required",
            "type": "string",
            "description": "A number or string that provides unique identification, such as a driver's license number for an individual, or a Fed routing number for an FI. Maximum 34 characters.\nFor outbound payments, this is the beneficiary's account number.\n"
          },
          {
            "name": "name",
            "kind": "required",
            "type": "string",
            "description": "Beneficiary name. Maximum 140 characters."
          },
          {
            "name": "postalAddress",
            "kind": "optional",
            "type": "object",
            "description": "Postal address details of the party involved - this is the NEW ISO20022 format for address information and should be used instead of the deprecated address lines",
            "children": [
              {
                "name": "adrLine1",
                "kind": "required",
                "type": "string",
                "description": "Max 35 chars"
              },
              {
                "name": "adrLine2",
                "kind": "optional",
                "type": "string",
                "description": "Max 35 chars. If adrLine2 is provided, then adrLine1 must not be blank"
              },
              {
                "name": "country",
                "kind": "required",
                "type": "string",
                "description": "2 character country ISO country code. For example US, GB"
              },
              {
                "name": "state",
                "kind": "optional",
                "type": "string",
                "description": "2-char state. For example NY, FL"
              },
              {
                "name": "postalCode",
                "kind": "optional",
                "type": "string",
                "description": "Max 15 chars"
              },
              {
                "name": "city",
                "kind": "required",
                "type": "string",
                "description": "Max 35 chars"
              }
            ]
          },
          {
            "name": "address1",
            "kind": "optional",
            "type": "string",
            "description": "DEPRECATED - Use the PostalAddress object instead.\nField of 35 characters usually used for the street address.\n"
          },
          {
            "name": "address2",
            "kind": "optional",
            "type": "string",
            "description": "DEPRECATED - Use the PostalAddress object instead.\nField of 35 characters usually used for the city, state, and postal code. If address2 is supplied then address1 must also be supplied."
          },
          {
            "name": "address3",
            "kind": "optional",
            "type": "string",
            "description": "DEPRECATED - Use the PostalAddress object instead.\nField of 35 characters for any information, for example, country code or information related to the wire. If address3 is supplied then address2 must also be supplied."
          }
        ]
      },
      {
        "name": "beneficiaryFi",
        "kind": "optional",
        "type": "object",
        "description": "Bank receiving the wire transfer",
        "children": [
          {
            "name": "idCode",
            "kind": "required",
            "type": "string",
            "description": "Specifies the type of value in the identifier field that follows it.  Maximum 1 character.\n\nFor outbound payments, the value for the beneficiary FI is F to indicate the bank Fed routing number. This field is optional for domestic wires because the system automatically uses the banking information for the value entered into the receiverRoutingNumber field.\n\nRequired if idCode is not \"F\" - Fed routing number."
          },
          {
            "name": "identifier",
            "kind": "required",
            "type": "string",
            "description": "A number or string that provides unique identification, such as a driver's license number for an individual, or a Fed routing number for an FI. Maximum 34 characters.\n\nFor outbound payments, enter the bank Fed routing number for the beneficiary FI. This field is optional for domestic wires because the system automatically uses the banking information for the value entered into the receiverRoutingNumber field.\n\nRequired if idCode is not \"F\" - Fed routing number."
          },
          {
            "name": "name",
            "kind": "required",
            "type": "string",
            "description": "Beneficiary financial institution name. Maximum 140 characters.\n\nRequired if idCode is not \"F\" - Fed routing number."
          },
          {
            "name": "postalAddress",
            "kind": "optional",
            "type": "object",
            "description": "Postal address details of the party involved - this is the NEW ISO20022 format for address information and should be used instead of the deprecated address lines",
            "children": [
              {
                "name": "adrLine1",
                "kind": "required",
                "type": "string",
                "description": "Max 35 chars"
              },
              {
                "name": "adrLine2",
                "kind": "optional",
                "type": "string",
                "description": "Max 35 chars. If adrLine2 is provided, then adrLine1 must not be blank"
              },
              {
                "name": "country",
                "kind": "required",
                "type": "string",
                "description": "2 character country ISO country code. For example US, GB"
              },
              {
                "name": "state",
                "kind": "optional",
                "type": "string",
                "description": "2-char state. For example NY, FL"
              },
              {
                "name": "postalCode",
                "kind": "optional",
                "type": "string",
                "description": "Max 15 chars"
              },
              {
                "name": "city",
                "kind": "required",
                "type": "string",
                "description": "Max 35 chars"
              }
            ]
          },
          {
            "name": "address1",
            "kind": "optional",
            "type": "string",
            "description": "DEPRECATED - Use the PostalAddress object instead.\nField of 35 characters usually used for the street address.\n\nMust include address1 if IdCode is not a BIC."
          },
          {
            "name": "address2",
            "kind": "optional",
            "type": "string",
            "description": "DEPRECATED - Use the PostalAddress object instead.\nField of 35 characters usually used for the city, state, and postal code. If address2 is supplied then address1 must also be supplied."
          },
          {
            "name": "address3",
            "kind": "optional",
            "type": "string",
            "description": "DEPRECATED - Use the PostalAddress object instead.\nField of 35 characters for any information, for example, country code or information related to the wire. If address3 is supplied then address2 must also be supplied."
          }
        ],
        "schema": [
          {
            "name": "idCode",
            "kind": "required",
            "type": "string",
            "description": "Specifies the type of value in the identifier field that follows it.  Maximum 1 character.\n\nFor outbound payments, the value for the beneficiary FI is F to indicate the bank Fed routing number. This field is optional for domestic wires because the system automatically uses the banking information for the value entered into the receiverRoutingNumber field.\n\nRequired if idCode is not \"F\" - Fed routing number."
          },
          {
            "name": "identifier",
            "kind": "required",
            "type": "string",
            "description": "A number or string that provides unique identification, such as a driver's license number for an individual, or a Fed routing number for an FI. Maximum 34 characters.\n\nFor outbound payments, enter the bank Fed routing number for the beneficiary FI. This field is optional for domestic wires because the system automatically uses the banking information for the value entered into the receiverRoutingNumber field.\n\nRequired if idCode is not \"F\" - Fed routing number."
          },
          {
            "name": "name",
            "kind": "required",
            "type": "string",
            "description": "Beneficiary financial institution name. Maximum 140 characters.\n\nRequired if idCode is not \"F\" - Fed routing number."
          },
          {
            "name": "postalAddress",
            "kind": "optional",
            "type": "object",
            "description": "Postal address details of the party involved - this is the NEW ISO20022 format for address information and should be used instead of the deprecated address lines",
            "children": [
              {
                "name": "adrLine1",
                "kind": "required",
                "type": "string",
                "description": "Max 35 chars"
              },
              {
                "name": "adrLine2",
                "kind": "optional",
                "type": "string",
                "description": "Max 35 chars. If adrLine2 is provided, then adrLine1 must not be blank"
              },
              {
                "name": "country",
                "kind": "required",
                "type": "string",
                "description": "2 character country ISO country code. For example US, GB"
              },
              {
                "name": "state",
                "kind": "optional",
                "type": "string",
                "description": "2-char state. For example NY, FL"
              },
              {
                "name": "postalCode",
                "kind": "optional",
                "type": "string",
                "description": "Max 15 chars"
              },
              {
                "name": "city",
                "kind": "required",
                "type": "string",
                "description": "Max 35 chars"
              }
            ]
          },
          {
            "name": "address1",
            "kind": "optional",
            "type": "string",
            "description": "DEPRECATED - Use the PostalAddress object instead.\nField of 35 characters usually used for the street address.\n\nMust include address1 if IdCode is not a BIC."
          },
          {
            "name": "address2",
            "kind": "optional",
            "type": "string",
            "description": "DEPRECATED - Use the PostalAddress object instead.\nField of 35 characters usually used for the city, state, and postal code. If address2 is supplied then address1 must also be supplied."
          },
          {
            "name": "address3",
            "kind": "optional",
            "type": "string",
            "description": "DEPRECATED - Use the PostalAddress object instead.\nField of 35 characters for any information, for example, country code or information related to the wire. If address3 is supplied then address2 must also be supplied."
          }
        ]
      },
      {
        "name": "intermediaryFi",
        "kind": "optional",
        "type": "object",
        "description": "Intermediary bank involved in the transaction. Required when sending an international payment.",
        "children": [
          {
            "name": "idCode",
            "kind": "required",
            "type": "string",
            "description": "Specifies the type of value in the identifier field that follows it. Maximum 1 character. "
          },
          {
            "name": "identifier",
            "kind": "required",
            "type": "string",
            "description": "A number or string that provides unique identification, such as a driver's license number for an individual, or a Fed routing number for an FI. Maximum 34 characters.\n\nIn this object, enter an identifier for the intermediary bank involved with the wire transaction. If the idCode is a Fed routing number, the identifier must be a valid Fed participant.\n"
          },
          {
            "name": "name",
            "kind": "required",
            "type": "string",
            "description": "Intermediary financial institution name. Maximum 140 characters.\n"
          },
          {
            "name": "postalAddress",
            "kind": "optional",
            "type": "object",
            "description": "Postal address details of the party involved - this is the NEW ISO20022 format for address information and should be used instead of the deprecated address lines",
            "children": [
              {
                "name": "adrLine1",
                "kind": "required",
                "type": "string",
                "description": "Max 35 chars"
              },
              {
                "name": "adrLine2",
                "kind": "optional",
                "type": "string",
                "description": "Max 35 chars. If adrLine2 is provided, then adrLine1 must not be blank"
              },
              {
                "name": "country",
                "kind": "required",
                "type": "string",
                "description": "2 character country ISO country code. For example US, GB"
              },
              {
                "name": "state",
                "kind": "optional",
                "type": "string",
                "description": "2-char state. For example NY, FL"
              },
              {
                "name": "postalCode",
                "kind": "optional",
                "type": "string",
                "description": "Max 15 chars"
              },
              {
                "name": "city",
                "kind": "required",
                "type": "string",
                "description": "Max 35 chars"
              }
            ]
          },
          {
            "name": "address1",
            "kind": "optional",
            "type": "string",
            "description": "DEPRECATED - Use the PostalAddress object instead.\nField of 35 characters usually used for the street address.\n\nMust include address1 if IdCode is not a BIC."
          },
          {
            "name": "address2",
            "kind": "optional",
            "type": "string",
            "description": "DEPRECATED - Use the PostalAddress object instead.\nField of 35 characters usually used for the city, state, and postal code. If address2 is supplied then address1 must also be supplied."
          },
          {
            "name": "address3",
            "kind": "optional",
            "type": "string",
            "description": "DEPRECATED - Use the PostalAddress object instead.\nField of 35 characters for any information, for example, country code or information related to the wire. If address3 is supplied then address2 must also be supplied."
          }
        ],
        "schema": [
          {
            "name": "idCode",
            "kind": "required",
            "type": "string",
            "description": "Specifies the type of value in the identifier field that follows it. Maximum 1 character. "
          },
          {
            "name": "identifier",
            "kind": "required",
            "type": "string",
            "description": "A number or string that provides unique identification, such as a driver's license number for an individual, or a Fed routing number for an FI. Maximum 34 characters.\n\nIn this object, enter an identifier for the intermediary bank involved with the wire transaction. If the idCode is a Fed routing number, the identifier must be a valid Fed participant.\n"
          },
          {
            "name": "name",
            "kind": "required",
            "type": "string",
            "description": "Intermediary financial institution name. Maximum 140 characters.\n"
          },
          {
            "name": "postalAddress",
            "kind": "optional",
            "type": "object",
            "description": "Postal address details of the party involved - this is the NEW ISO20022 format for address information and should be used instead of the deprecated address lines",
            "children": [
              {
                "name": "adrLine1",
                "kind": "required",
                "type": "string",
                "description": "Max 35 chars"
              },
              {
                "name": "adrLine2",
                "kind": "optional",
                "type": "string",
                "description": "Max 35 chars. If adrLine2 is provided, then adrLine1 must not be blank"
              },
              {
                "name": "country",
                "kind": "required",
                "type": "string",
                "description": "2 character country ISO country code. For example US, GB"
              },
              {
                "name": "state",
                "kind": "optional",
                "type": "string",
                "description": "2-char state. For example NY, FL"
              },
              {
                "name": "postalCode",
                "kind": "optional",
                "type": "string",
                "description": "Max 15 chars"
              },
              {
                "name": "city",
                "kind": "required",
                "type": "string",
                "description": "Max 35 chars"
              }
            ]
          },
          {
            "name": "address1",
            "kind": "optional",
            "type": "string",
            "description": "DEPRECATED - Use the PostalAddress object instead.\nField of 35 characters usually used for the street address.\n\nMust include address1 if IdCode is not a BIC."
          },
          {
            "name": "address2",
            "kind": "optional",
            "type": "string",
            "description": "DEPRECATED - Use the PostalAddress object instead.\nField of 35 characters usually used for the city, state, and postal code. If address2 is supplied then address1 must also be supplied."
          },
          {
            "name": "address3",
            "kind": "optional",
            "type": "string",
            "description": "DEPRECATED - Use the PostalAddress object instead.\nField of 35 characters for any information, for example, country code or information related to the wire. If address3 is supplied then address2 must also be supplied."
          }
        ]
      },
      {
        "name": "beneficiaryReference",
        "kind": "optional",
        "type": "string",
        "description": "Optional field for additional information. 35 characters maximum.",
        "": "Optional field for additional information. 35 characters maximum."
      },
      {
        "name": "originatorToBeneficiary1",
        "kind": "optional",
        "type": "string",
        "description": "Field for additional information from the originator to the beneficiary.\n\n35 characters maximum.\n\nYou can add information in up to 4 originator to beneficiary fields (originatorToBeneficiary1, originatorToBeneficiary2, originatorToBeneficiary3, originatorToBeneficiary4).",
        "children": []
      },
      {
        "name": "amount",
        "kind": "required",
        "type": "integer",
        "description": "Dollar amount of wire transfer in positive integral cents. For example, write $1.00 as 100.",
        "children": []
      },
      {
        "name": "purpose",
        "kind": "required",
        "type": "string",
        "description": "Reason for the wire transfer, such as \"daily settlement.\" Also use this field if you submit multiple wires for the same amount, such as \"1 of 2, 2 of 2.\" This data is not included with the outgoing FedWire message. Maxmum 50 characters.",
        "": "Reason for the wire transfer, such as \"daily settlement.\" Also use this field if you submit multiple wires for the same amount, such as \"1 of 2, 2 of 2.\" This data is not included with the outgoing FedWire message. Maxmum 50 characters."
      },
      {
        "name": "clientIdentifier",
        "kind": "optional",
        "type": "string",
        "description": "Use this attribute to add your own unique identifying string to a payment call or COS record. This attribute is useful for idempotency purposes.",
        "children": []
      }
    ]
  },
  "currentNewParameter": {
    "label": "Body Parameter",
    "value": "bodyDataParameters"
  },
  "response": [
    {
      "name": "id",
      "kind": "optional",
      "type": "string",
      "description": "The payment ID. First appears in the initial response to the originate a payment request. This ID is in GUID format."
    },
    {
      "name": "accountNumber",
      "kind": "optional",
      "type": "string",
      "description": "Cross River Account number. In Cross River, depending on the account type, the number of digits will vary. The first digit indicates the kind of account.",
      "children": []
    },
    {
      "name": "coreTransactionId",
      "kind": "optional",
      "type": "string",
      "description": "Internal Cross River unique ID for the transaction",
      "children": []
    },
    {
      "name": "referenceId",
      "kind": "optional",
      "type": "string",
      "description": "Unique Cross River reference ID for the payment",
      "children": []
    },
    {
      "name": "fedBatchId",
      "kind": "optional",
      "type": "string",
      "description": "Unique identifier in GUID format for the Federal Reserve batch the payment went out on (or came in on for inbound payments)",
      "children": []
    },
    {
      "name": "fedBatchSequence",
      "kind": "optional",
      "type": "integer",
      "description": "Sequence number of payment in batch",
      "children": []
    },
    {
      "name": "direction",
      "kind": "optional",
      "type": "string",
      "description": "Inbound or outbound",
      "children": []
    },
    {
      "name": "paymentType",
      "kind": "optional",
      "type": "string",
      "description": "Transfer, Drawdown, DrawdownResponse, ServiceMessage, Reversal",
      "children": []
    },
    {
      "name": "source",
      "kind": "optional",
      "type": "string",
      "description": "Method used to send payment instructions: Phone, fax, email, file, API, partner portal, Ops portal.",
      "children": []
    },
    {
      "name": "status",
      "kind": "optional",
      "type": "string",
      "description": "Payment status: Created, Pending, Hold, Batched, Processing, Completed, Rejected, Canceled, Blocked",
      "children": []
    },
    {
      "name": "posting",
      "kind": "optional",
      "type": "string",
      "description": "Posting status: Pending, Posted, Failed, Canceled",
      "children": []
    },
    {
      "name": "rejectionReason",
      "kind": "optional",
      "type": "string",
      "description": "Rejected because:\n- OfacCancelUnableToDetermine\n- OfacConfirmed\n- OfacUnconfirmed\n- Other",
      "children": []
    },
    {
      "name": "blockedReason",
      "kind": "optional",
      "type": "string",
      "description": "Blocked because: OfacMatch, Other",
      "children": []
    },
    {
      "name": "partnerAuthorization",
      "kind": "optional",
      "type": "string",
      "description": "Partner authorization for out-of-band payment requests: NotRequired, Pending , Approved, Canceled",
      "children": []
    },
    {
      "name": "authorizedAt",
      "kind": "optional",
      "type": "string",
      "description": "Date and time the wire was authorized. In this case, the date and time are in this format: yyyy-mm-ddThh:mm:ss[.mmm]",
      "children": []
    },
    {
      "name": "authorizedById",
      "kind": "optional",
      "type": "string",
      "description": "Cross River user ID of the partner user who authorizes the wire",
      "children": []
    },
    {
      "name": "authorizedByName",
      "kind": "optional",
      "type": "string",
      "description": "Cross River username of the partner user who authorizes the wire",
      "children": []
    },
    {
      "name": "partnerAuthorization2",
      "kind": "optional",
      "type": "string",
      "description": "Second partner authorization for out-of-band payment requests: NotRequired, Pending , Approved, Canceled",
      "children": []
    },
    {
      "name": "authorizedAt2",
      "kind": "optional",
      "type": "string",
      "description": "Date and time the wire was authorized. In this case, the date and time are in this format: yyyy-mm-ddThh:mm:ss[.mmm]",
      "children": []
    },
    {
      "name": "authorizedById2",
      "kind": "optional",
      "type": "string",
      "description": "Cross River user ID of the partner user who authorizes the wire",
      "children": []
    },
    {
      "name": "authorizedByName2",
      "kind": "optional",
      "type": "string",
      "description": "Cross River username of the partner user who authorizes the wire",
      "children": []
    },
    {
      "name": "amount",
      "kind": "optional",
      "type": "integer",
      "description": "Dollar amount of wire transfer in positive integral cents. For example, write $1.00 as 100.",
      "children": []
    },
    {
      "name": "currency",
      "kind": "optional",
      "type": "string",
      "description": "Currency of funds transfer",
      "children": []
    },
    {
      "name": "purpose",
      "kind": "optional",
      "type": "string",
      "description": "Reason for the wire transfer, such as \"daily settlement.\" Also use this field if you submit multiple wires for the same amount, such as \"1 of 2, 2 of 2.\" This data is not included with the outgoing FedWire message.",
      "children": []
    },
    {
      "name": "imad",
      "kind": "optional",
      "type": "string",
      "description": "Input Messaging Accountability Data. A combination of a date, source identifier, and sequence number assigned to a Fedwire message when it is processed by the Federal Reserve Bank Funds Transfer application. Unique to the payment.",
      "children": []
    },
    {
      "name": "omad",
      "kind": "optional",
      "type": "string",
      "description": "Output Messaging Accountability Data. A combination of a date, destination identifier, and sequence number assigned to a Fedwire message when it is processed by the Federal Reserve Bank Funds Transfer application.",
      "children": []
    },
    {
      "name": "businessFunctionCode",
      "kind": "optional",
      "type": "string",
      "description": "The business purpose of the wire transfer. The most common type is customer wire transfer (CTR) where the beneficiary isn't a bank. See the full list of codes and descriptions.",
      "children": []
    },
    {
      "name": "typeCode",
      "kind": "optional",
      "type": "string",
      "description": "The type code value provides information about the type of wire transfer sent (type code, first 2 digits) and more details about the transfer (subtype code, second 2 digits).",
      "children": []
    },
    {
      "name": "senderRoutingNumber",
      "kind": "optional",
      "type": "string",
      "description": "Fedwire routing number for the sender's bank",
      "children": []
    },
    {
      "name": "senderName",
      "kind": "optional",
      "type": "string",
      "description": "Entity sending the wire",
      "children": []
    },
    {
      "name": "senderReference",
      "kind": "optional",
      "type": "string",
      "description": "Sender's assigned reference number",
      "children": []
    },
    {
      "name": "receiverRoutingNumber",
      "kind": "optional",
      "type": "string",
      "description": "The 9-digit Fedwire routing number of the financial institution receiving the wire drawdown request. The ABA directory provides financial institution routing numbers.",
      "children": []
    },
    {
      "name": "receiverName",
      "kind": "optional",
      "type": "string",
      "description": "Name of the FI receiving the funds",
      "children": []
    },
    {
      "name": "originatingFi",
      "kind": "optional",
      "type": "object",
      "description": "Details of the financial institution sending the wire",
      "children": [
        {
          "name": "idCode",
          "kind": "optional",
          "type": "string",
          "description": "Specifies the type of value in the identifier field that follows it. 1 character. See the list of ID codes."
        },
        {
          "name": "identifier",
          "kind": "optional",
          "type": "string",
          "description": "Identifier at the financial institution sending the wire"
        },
        {
          "name": "name",
          "kind": "optional",
          "type": "string",
          "description": "Name of the originating financial institution"
        },
        {
          "name": "postalAddressInfo",
          "kind": "optional",
          "type": "object",
          "description": "Postal address details of the party involved - this is the NEW ISO20022 format for address information",
          "children": [
            {
              "name": "adrLine1",
              "kind": "required",
              "type": "string",
              "description": "Max 35 chars"
            },
            {
              "name": "adrLine2",
              "kind": "optional",
              "type": "string",
              "description": "Max 35 chars. If adrLine2 is provided, then adrLine1 must not be blank"
            },
            {
              "name": "country",
              "kind": "required",
              "type": "string",
              "description": "2 character country ISO country code. For example US, GB"
            },
            {
              "name": "state",
              "kind": "optional",
              "type": "string",
              "description": "2-char state. For example NY, FL"
            },
            {
              "name": "postalCode",
              "kind": "optional",
              "type": "string",
              "description": "Max 15 chars"
            },
            {
              "name": "city",
              "kind": "required",
              "type": "string",
              "description": "Max 35 chars"
            }
          ]
        },
        {
          "name": "address1",
          "kind": "optional",
          "type": "string",
          "description": "DEPRECATED - Use the PostalAddress object instead.\nField of 35 characters usually used for the street address"
        },
        {
          "name": "address2",
          "kind": "optional",
          "type": "string",
          "description": "DEPRECATED - Use the PostalAddress object instead.\nField of 35 characters usually used for the city, state, and postal code"
        },
        {
          "name": "address3",
          "kind": "optional",
          "type": "string",
          "description": "DEPRECATED - Use the PostalAddress object instead.\nField of 35 characters for any information, for example, country code or information related to the wire"
        }
      ]
    },
    {
      "name": "originator",
      "kind": "optional",
      "type": "object",
      "description": "Details of the party sending the wire",
      "children": [
        {
          "name": "idCode",
          "kind": "optional",
          "type": "string",
          "description": "Specifies the type of value in the identifier field that follows it. 1 character. See the list of ID codes."
        },
        {
          "name": "identifier",
          "kind": "optional",
          "type": "string",
          "description": "Identifier for the party sending the wire. For outbound payments where originator details are submitted with the payment request, this is the customer account number. Otherwise, the system automatically populates this field."
        },
        {
          "name": "name",
          "kind": "optional",
          "type": "string",
          "description": "Originator name. "
        },
        {
          "name": "postalAddressInfo",
          "kind": "optional",
          "type": "object",
          "description": "Postal address details of the party involved - this is the NEW ISO20022 format for address information",
          "children": [
            {
              "name": "adrLine1",
              "kind": "required",
              "type": "string",
              "description": "Max 35 chars"
            },
            {
              "name": "adrLine2",
              "kind": "optional",
              "type": "string",
              "description": "Max 35 chars. If adrLine2 is provided, then adrLine1 must not be blank"
            },
            {
              "name": "country",
              "kind": "required",
              "type": "string",
              "description": "2 character country ISO country code. For example US, GB"
            },
            {
              "name": "state",
              "kind": "optional",
              "type": "string",
              "description": "2-char state. For example NY, FL"
            },
            {
              "name": "postalCode",
              "kind": "optional",
              "type": "string",
              "description": "Max 15 chars"
            },
            {
              "name": "city",
              "kind": "required",
              "type": "string",
              "description": "Max 35 chars"
            }
          ]
        },
        {
          "name": "address1",
          "kind": "optional",
          "type": "string",
          "description": "DEPRECATED - Use the PostalAddress object instead.\nField of 35 characters usually used for the street address"
        },
        {
          "name": "address2",
          "kind": "optional",
          "type": "string",
          "description": "DEPRECATED - Use the PostalAddress object instead.\nField of 35 characters usually used for the city, state, and postal code"
        },
        {
          "name": "address3",
          "kind": "optional",
          "type": "string",
          "description": "DEPRECATED - Use the PostalAddress object instead.\nField of 35 characters for any information, for example, country code or information related to the wire"
        }
      ]
    },
    {
      "name": "intermediaryFi",
      "kind": "optional",
      "type": "object",
      "description": "Details of any intermediary bank involved in the wire transaction. Not all wire transfers use an intermediary FI.",
      "children": [
        {
          "name": "idCode",
          "kind": "optional",
          "type": "string",
          "description": "Specifies the type of value in the identifier field that follows it. 1 character. See the list of ID codes."
        },
        {
          "name": "identifier",
          "kind": "optional",
          "type": "string",
          "description": "Identifier for the intermediary bank involved with the wire transaction."
        },
        {
          "name": "name",
          "kind": "optional",
          "type": "string",
          "description": "Intermediary financial institution name."
        },
        {
          "name": "postalAddressInfo",
          "kind": "optional",
          "type": "object",
          "description": "Postal address details of the party involved - this is the NEW ISO20022 format for address information",
          "children": [
            {
              "name": "adrLine1",
              "kind": "required",
              "type": "string",
              "description": "Max 35 chars"
            },
            {
              "name": "adrLine2",
              "kind": "optional",
              "type": "string",
              "description": "Max 35 chars. If adrLine2 is provided, then adrLine1 must not be blank"
            },
            {
              "name": "country",
              "kind": "required",
              "type": "string",
              "description": "2 character country ISO country code. For example US, GB"
            },
            {
              "name": "state",
              "kind": "optional",
              "type": "string",
              "description": "2-char state. For example NY, FL"
            },
            {
              "name": "postalCode",
              "kind": "optional",
              "type": "string",
              "description": "Max 15 chars"
            },
            {
              "name": "city",
              "kind": "required",
              "type": "string",
              "description": "Max 35 chars"
            }
          ]
        },
        {
          "name": "address1",
          "kind": "optional",
          "type": "string",
          "description": "DEPRECATED - Use the PostalAddress object instead.\nField of 35 characters usually used for the street address"
        },
        {
          "name": "address2",
          "kind": "optional",
          "type": "string",
          "description": "DEPRECATED - Use the PostalAddress object instead.\nField of 35 characters usually used for the city, state, and postal code"
        },
        {
          "name": "address3",
          "kind": "optional",
          "type": "string",
          "description": "DEPRECATED - Use the PostalAddress object instead.\nField of 35 characters for any information, for example, country code or information related to the wire"
        }
      ]
    },
    {
      "name": "beneficiaryFi",
      "kind": "optional",
      "type": "object",
      "description": "Details of the financial institution receiving the wire",
      "children": [
        {
          "name": "idCode",
          "kind": "optional",
          "type": "string",
          "description": "Specifies the type of value in the identifier field that follows it. 1 character. See the list of ID codes.\n\nFor outbound payments, the value for the beneficiary FI is F to indicate the bank Fed routing number. This field is optional for domestic wires because the system automatically uses the banking information for the value entered into the receiverRoutingNumber field."
        },
        {
          "name": "identifier",
          "kind": "optional",
          "type": "string",
          "description": "Identifier for the bank receiving the wire. For outbound payments, this is the bank Fed routing number. This field is optional for domestic wires because the system automatically uses the banking information for the value entered into the receiverRoutingNumber field."
        },
        {
          "name": "name",
          "kind": "optional",
          "type": "string",
          "description": "Beneficiary financial institution name. Maximum 140 characters."
        },
        {
          "name": "postalAddressInfo",
          "kind": "optional",
          "type": "object",
          "description": "Postal address details of the party involved - this is the NEW ISO20022 format for address information",
          "children": [
            {
              "name": "adrLine1",
              "kind": "required",
              "type": "string",
              "description": "Max 35 chars"
            },
            {
              "name": "adrLine2",
              "kind": "optional",
              "type": "string",
              "description": "Max 35 chars. If adrLine2 is provided, then adrLine1 must not be blank"
            },
            {
              "name": "country",
              "kind": "required",
              "type": "string",
              "description": "2 character country ISO country code. For example US, GB"
            },
            {
              "name": "state",
              "kind": "optional",
              "type": "string",
              "description": "2-char state. For example NY, FL"
            },
            {
              "name": "postalCode",
              "kind": "optional",
              "type": "string",
              "description": "Max 15 chars"
            },
            {
              "name": "city",
              "kind": "required",
              "type": "string",
              "description": "Max 35 chars"
            }
          ]
        },
        {
          "name": "address1",
          "kind": "optional",
          "type": "string",
          "description": "DEPRECATED - Use the PostalAddress object instead.\nField of 35 characters usually used for the street address"
        },
        {
          "name": "address2",
          "kind": "optional",
          "type": "string",
          "description": "DEPRECATED - Use the PostalAddress object instead.\nField of 35 characters usually used for the city, state, and postal code"
        },
        {
          "name": "address3",
          "kind": "optional",
          "type": "string",
          "description": "DEPRECATED - Use the PostalAddress object instead.\nField of 35 characters for any information, for example, country code or information related to the wire"
        }
      ]
    },
    {
      "name": "beneficiary",
      "kind": "optional",
      "type": "object",
      "description": "Details of the party receiving the wire",
      "children": [
        {
          "name": "idCode",
          "kind": "optional",
          "type": "string",
          "description": "Identifier code for the party receiving the wire. For outbound payments, this is \"D\" to indicate a deposit account."
        },
        {
          "name": "identifier",
          "kind": "optional",
          "type": "string",
          "description": "Identifier for the party receiving the wire. For outbound payments, this is the beneficiary's account number."
        },
        {
          "name": "name",
          "kind": "optional",
          "type": "string",
          "description": "Beneficiary name. Maximum 140 characters."
        },
        {
          "name": "postalAddressInfo",
          "kind": "optional",
          "type": "object",
          "description": "Postal address details of the party involved - this is the NEW ISO20022 format for address information",
          "children": [
            {
              "name": "adrLine1",
              "kind": "required",
              "type": "string",
              "description": "Max 35 chars"
            },
            {
              "name": "adrLine2",
              "kind": "optional",
              "type": "string",
              "description": "Max 35 chars. If adrLine2 is provided, then adrLine1 must not be blank"
            },
            {
              "name": "country",
              "kind": "required",
              "type": "string",
              "description": "2 character country ISO country code. For example US, GB"
            },
            {
              "name": "state",
              "kind": "optional",
              "type": "string",
              "description": "2-char state. For example NY, FL"
            },
            {
              "name": "postalCode",
              "kind": "optional",
              "type": "string",
              "description": "Max 15 chars"
            },
            {
              "name": "city",
              "kind": "required",
              "type": "string",
              "description": "Max 35 chars"
            }
          ]
        },
        {
          "name": "address1",
          "kind": "optional",
          "type": "string",
          "description": "DEPRECATED - Use the PostalAddress object instead.\nField of 35 characters usually used for the street address"
        },
        {
          "name": "address2",
          "kind": "optional",
          "type": "string",
          "description": "DEPRECATED - Use the PostalAddress object instead.\nField of 35 characters usually used for the city, state, and postal code"
        },
        {
          "name": "address3",
          "kind": "optional",
          "type": "string",
          "description": "DEPRECATED - Use the PostalAddress object instead.\nField of 35 characters for any information, for example, country code or information related to the wire"
        }
      ]
    },
    {
      "name": "originatorToBeneficiary1",
      "kind": "optional",
      "type": "string",
      "description": "Field for additional information from the originator to the beneficiary.",
      "children": []
    },
    {
      "name": "beneficiaryReference",
      "kind": "optional",
      "type": "string",
      "description": "Optional field for additional information. 35 characters maximum.",
      "children": []
    },
    {
      "name": "receiptDate",
      "kind": "optional",
      "type": "string",
      "description": "Month and day the wire was received in the format mmdd",
      "children": []
    },
    {
      "name": "receiptTime",
      "kind": "optional",
      "type": "string",
      "description": "Time the wire was received, in the format hhmm",
      "children": []
    },
    {
      "name": "wasReversed",
      "kind": "optional",
      "type": "boolean",
      "description": "True if the payment was reversed, otherwise false",
      "children": []
    },
    {
      "name": "isInternational",
      "kind": "optional",
      "type": "boolean",
      "description": "True if the payment is international, otherwise false",
      "children": []
    },
    {
      "name": "clientIdentifier",
      "kind": "optional",
      "type": "string",
      "description": "Use this attribute to add your own unique identifying string to a payment call or COS record. This attribute is useful for idempotency purposes.",
      "children": []
    },
    {
      "name": "createdAt",
      "kind": "optional",
      "type": "string",
      "description": "Date and time the payment was created in the system. In this case, the date and time are in this format: yyyy-mm-ddThh:mm:ss[.mmm]",
      "children": []
    },
    {
      "name": "releasedAt",
      "kind": "optional",
      "type": "string",
      "description": "Date and time the payment was released in a distribution to the Fed. In this case, the date and time are in this format: yyyy-mm-ddThh:mm:ss[.mmm]",
      "children": []
    },
    {
      "name": "processedAt",
      "kind": "optional",
      "type": "string",
      "description": "Date and time the payment was processed by Cross River. In this case, the date and time are in this format: yyyy-mm-ddThh:mm:ss[.mmm].",
      "children": []
    },
    {
      "name": "canceledAt",
      "kind": "optional",
      "type": "string",
      "description": "Date and time the payment was canceled",
      "children": []
    },
    {
      "name": "rejectedAt",
      "kind": "optional",
      "type": "string",
      "description": "Date and time the payment was rejected. In this case, the date and time are in this format: yyyy-mm-ddThh:mm:ss[.mmm]",
      "children": []
    },
    {
      "name": "blockedAt",
      "kind": "optional",
      "type": "string",
      "description": "Date and time the payment was blocked by BSA/AML. In this case, the date and time are in this format: yyyy-mm-ddThh:mm:ss[.mmm]",
      "children": []
    },
    {
      "name": "effectiveDate",
      "kind": "optional",
      "type": "string",
      "description": "Business date on which the payment is effective",
      "children": []
    },
    {
      "name": "completedAt",
      "kind": "optional",
      "type": "string",
      "description": "Date and time the payment was systemically completed. This can only occur after the payment has successfully posted to the account. In this case, the date and time are in this format: yyyy-mm-ddThh:mm:ss[.mmm]",
      "children": []
    },
    {
      "name": "postedAt",
      "kind": "optional",
      "type": "string",
      "description": "Date and time the payment was posted to the Cross River account. In this case, the date and time are in this format: yyyy-mm-ddThh:mm:ss[.mmm]",
      "children": []
    },
    {
      "name": "originalPaymentId",
      "kind": "optional",
      "type": "string",
      "description": "Payment ID of a previously sent wire that was reversed. Otherwise, the same as the payment ID.",
      "children": []
    },
    {
      "name": "partnerId",
      "kind": "optional",
      "type": "string",
      "description": "Your unique ID in the Cross River system. This ID is in GUID format.",
      "children": []
    },
    {
      "name": "productId",
      "kind": "optional",
      "type": "string",
      "description": "ID in GUID format of your specific product type on which the account is based. Provided by Cross River. In this case, the Cross River account involved in the payment. More about Product IDs.",
      "children": []
    },
    {
      "name": "lastModifiedAt",
      "kind": "optional",
      "type": "string",
      "description": "Internal Cross River value. Date and time the database entry was last modified. In this case, the date and time are in this format: yyyy-mm-ddThh:mm:ss[.mmm]",
      "children": []
    },
    {
      "name": "postingCode",
      "kind": "optional",
      "type": "string",
      "description": "Includes OK (posted), RES (account restricted), NSF (insufficient funds in the account sending the wire)",
      "children": []
    }
  ],
  "hasTryItOut": false,
  "autoGeneratedAnchorSlug": "endpoint-wiresv1payments",
  "legacyHash": "cPNM_hcjLbLMMi3Vt4BFe"
}
```
:::

### <u>Validation Rules</u>

- **Originator Requirement**
  - If Originator is null or empty, the system will use the configured account/product originator.
  - If the configured account/product originator contains any of the following ID codes, the request will be rejected:
    - "U" (CHIPS Identifier)
    - "C" (CHIPS Participant)
    - "F" (Fed Routing Number)
  - **Error Message:** `Account or product configuration error.`
- **Intermediary FI and Beneficiary FI Uniqueness**
  - If both are specified with the same identifier, the request will be rejected.
  - **Error Message:** `IntermediaryFi and BeneficiaryFi cannot be identical.`
- **Beneficiary Validation**
  - Must be validated as a person or organization.
  - ***Errors follow the person/organization validation rules.***
- **Beneficiary FI Validation**
  - Must be validated as a financial institution.
  - ***Errors follow the financial institution validation rules.***
- **Intermediary FI Validation**
  - Must be validated as a financial institution.
  - ***Errors follow the financial institution validation rules.***

### Default Values

- **Beneficiary FI (if not explicitly provided — no ID Code or Identifier specified)**
  - Derived from the Receiver Routing Number:
    - ID Code: "F"
    - Identifier: Routing number
    - Name: Participant’s customer name
    - Address1: Participant’s city and state
